<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKPickupTreeViewBase from './ibizbookpickup-tree-view-base.vue';

import view_tree from '@widgets/ibizbook/book-type-select-treeview/book-type-select-treeview.vue';
@Component({
    components: {
        view_tree, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKPickupTreeView extends IBIZBOOKPickupTreeViewBase {

}
</script>